
import Taro from '@tarojs/taro'
export default defineAppConfig({
  pages: [
    'pages/index/index',
    "pages/mine/index",
    'pages/collection/index',
    "pages/activity/index",
    "pages/invite/index",
    "pages/wallet/index",
    "pages/shareCnt/index",
    "pages/upload/index",//图片裁剪页面
    "pages/darwDetailIndex/index",//图片作品页面
    "pages/communityDetail/index",
    "pages/earnPoints/index",
    "pages/imageWorks/index",//图画作品
    "pages/like/index",//我的喜欢
    "pages/comic/index",//人物动漫画
    "pages/comicDetail/index",//人物动漫画详情页
    "pages/poetry/index",//诗词绘画
    "pages/faceChanging/index",//AI换脸
    "pages/point/index",//新手指引
    "pages/real/index",//资讯
    "pages/realDetail/index",//资讯
  ],
  window: {
    backgroundTextStyle: 'light',
    navigationBarBackgroundColor: '#041129',
    navigationBarTitleText: 'AI绘画',
    navigationBarTextStyle: 'white',
    backgroundColor: "#041129"
  },
  tabBar: {
    color: "#C6C6C6",
    selectedColor: "#0F84EC",
    borderStyle: "white",
    backgroundColor: "#041129",
    list: [
      {
        pagePath: "pages/collection/index",
        iconPath: "images/nav/like.png",
        selectedIconPath: "images/nav/like_pin.png",
        text: "社区"

      },
      {
        pagePath: "pages/index/index",
        iconPath: "images/nav/play.png",
        selectedIconPath: "images/nav/play_pin.png",
        text: "创作"
      },
      {
        pagePath: "pages/activity/index",
        iconPath: "images/nav/task.png",
        selectedIconPath: "images/nav/task_pin.png",
        text: "活动"
      },
      {
        pagePath: "pages/mine/index",
        iconPath: "images/nav/my.png",
        selectedIconPath: "images/nav/my_pin.png",
        text: "我的"
      }
    ]
  },
})
