//首页js接口
import Request from '../api/request';

//获取机器人的回答
export const login = data =>
  Request({
    url: '/api/login',
    method: 'POST',
    data,
  });

//获取绘画数据
export const getDrawIndex = data =>
  Request({
    url: '/api/get_draw_index',
    method: 'POST',
    data,
  });
//获取绘画描述
export const getRadomPrompt = data =>
  Request({
    url: '/api/get_radom_prompt',
    method: 'POST',
    data,
  });
//画图
export const drawTxt2img = data =>
  Request({
    url: '/api/draw_txt2img',
    method: 'POST',
    data,
  });
//获取我的作品
export const getMyDraw = data =>
  Request({
    url: '/api/get_my_draw',
    method: 'POST',
    data,
  });
//获取我喜欢的作品
export const getLikeList = data =>
  Request({
    url: '/api/get_like_list',
    method: 'POST',
    data,
  });
//获取画图详情页
export const getDrawTaskStatus = data =>
  Request({
    url: '/api/get_draw_task_status',
    method: 'POST',
    data,
  });
//获取画图详情页
export const getUserInfo = data =>
  Request({
    url: '/api/get_my_wallet',
    method: 'POST',
    data,
  });
//获取点券列表
export const getCoinTaskList = data =>
  Request({
    url: '/api/get_coin_task_list',
    method: 'POST',
    data,
  });
//完成任务
export const finishTask = data =>
  Request({
    url: '/api/finish_task',
    method: 'POST',
    data,
  });
//获取广场列表
export const getHubList = data =>
  Request({
    url: '/api/get_hub_list',
    method: 'POST',
    data,
  });
//获取广场详情页
export const getImgDetail = data =>
  Request({
    url: '/api/get_img_detail',
    method: 'POST',
    data,
  });
//点赞
export const userLike = data =>
  Request({
    url: '/api/user_like',
    method: 'POST',
    data,
  });
//获取分享二维码
export const getWxCodeImg = data =>
  Request({
    url: '/api/get_wx_code_img',
    method: 'POST',
    data,
  });
//获取商品列表
export const getShopList = data =>
  Request({
    url: '/api/get_shop_list',
    method: 'POST',
    data,
  });
//创建微信订单
export const createOrder = data =>
  Request({
    url: '/api/wx_create_order',
    method: 'POST',
    data,
  });
//创建抖音订单
export const ttCreateOrder = data =>
  Request({
    url: '/api/pay/tt_create_order',
    method: 'POST',
    data,
  });
//删除作品
export const userDelImg = data =>
  Request({
    url: '/api/user_del_img',
    method: 'POST',
    data,
  });
//获取订阅模板
export const getWxTemplate = data =>
  Request({
    url: '/api/get_wx_template',
    method: 'POST',
    data,
  });

//订阅上传
export const subscribeTemplate = data =>
  Request({
    url: '/api/subscribe_template',
    method: 'POST',
    data,
  });

//获取标签
export const getTagsDev = data =>
  Request({
    url: '/api/get_tags_dev',
    method: 'POST',
    data,
  });
//上传图片
export const uploadImg = data =>
  Request({
    url: '/api/image2url',
    method: 'POST',
    data,
  });
//获取用户金币明细
export const getUserCoinDetail = data =>
  Request({
    url: '/api/get_user_coin_detail',
    method: 'POST',
    data,
  });
//获取用户分销明细
export const getUserShareCnt = data =>
  Request({
    url: '/api/get_user_share_cnt',
    method: 'POST',
    data,
  });
//获取用户分销明细
export const drawGcImg = data =>
  Request({
    url: '/api/draw_gc_img',
    method: 'POST',
    data,
  });
//获取资讯列表
export const getInformationList = data =>
  Request({
    url: '/api/get_information_list',
    method: 'POST',
    data,
  });
//获取资讯详情
export const getInformationDetails = data =>
  Request({
    url: '/api/get_information_details',
    method: 'POST',
    data,
  });
//获取活动列表
export const aiInformationIndex = data =>
  Request({
    url: '/api/ai_information_index',
    method: 'POST',
    data,
  });
//获取广告任务
export const getCoinTaskAd = data =>
  Request({
    url: '/api/get_coin_task_ad',
    method: 'POST',
    data,
  });
//AI换脸
export const aiFaceMege = data =>
  Request({
    url: '/api/ai_face_mege',
    method: 'POST',
    data,
  });
//诗文成画
export const aiPoetryDraw = data =>
  Request({
    url: '/api/ai_poetry_draw',
    method: 'POST',
    data,
  });
//诗文推荐词
export const getRadomPoetry = data =>
  Request({
    url: '/api/get_radom_poetry',
    method: 'POST',
    data,
  });
//诗文推荐词转义
export const getDrawPromptText = data =>
  Request({
    url: '/api/get_draw_prompt_text',
    method: 'POST',
    data,
  });
//人物动漫化
export const getDrawGcImgIndex = data =>
  Request({
    url: '/api/get_draw_gc_img_index',
    method: 'POST',
    data,
  });
//人物动漫化详情
export const getDrawTaskStatusGc = data =>
  Request({
    url: '/api/get_draw_task_status_gc',
    method: 'POST',
    data,
  });
  //人物动漫化解锁
export const unlockGcImg = data =>
Request({
  url: '/api/unlock_gc_img',
  method: 'POST',
  data,
});
  //人物动漫化解锁
  export const drawGcImgTask = data =>
  Request({
    url: '/api/draw_gc_img_task',
    method: 'POST',
    data,
  });
  





